#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_sname	esmtp

#-----------------------------------------------------------------------------
Name		:	libESMTP
Version		:	1.1.0
Release		:	14.4.0.0%{?dist}
Summary		:	SMTP client library
Group		:	Development/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://libesmtp.github.io 

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	openssl-devel

Obsoletes	:	libesmtp	<= 1.0.6
#-----------------------------------------------------------------------------
%description
libESMTP is an SMTP client which manages posting (or submission of) electronic
mail via a preconfigured Mail Transport Agent (MTA). It may be used as part of
a Mail User Agent (MUA) or other program that must be able to post electronic
mail where mail functionality may not be that program's primary purpose.

The availability of a reliable, lightweight and thread-safe SMTP client eases
the task of coding for software authors thus improving the quality of the
resulting code. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{_sname}-plugins-*/sasl-*.so
%{_libdir}/lib%{_sname}.so.*

#=============================================================================
%package		devel
Summary		:	Development headers

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the header files needed for building additional
applications against the libESMTP library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/*.h
%{_libdir}/lib%{_sname}.so
%{_libdir}/pkgconfig/lib%{_sname}*.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	build


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C build					\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%{__mkdir_p}						\
	%{buildroot}%{_bindir}

#-----------------------------------------------------------------------------
%changelog
